Open Lighting Architecture: ola::OlaCallbackClient Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
ola::OlaCallbackClient Class Reference

## Detailed Description

The legacy callback client.

Deprecated
  Use ola::client::OlaClient instead.

Inheritance diagram for ola::OlaCallbackClient:

## Classes
struct | PluginState

## Public Types
typedef SingleUseCallback2< void, const PluginState &, const std::string & > | PluginStateCallback
typedef Callback3< void, unsigned int, const DmxBuffer &, const std::string & > | DMXCallback
typedef Callback4< void, unsigned int, uint8_t, const DmxBuffer &, const std::string & > | DMXCallbackWithPriority
Public Types inherited from ola::rdm::RDMAPIImplInterface
typedef ola::SingleUseCallback2< void, const ResponseStatus &, const std::string & > | rdm_callback
typedef ola::SingleUseCallback3< void, const ResponseStatus &, uint16_t, const std::string & > | rdm_pid_callback

## Public Member Functions
| OlaCallbackClient (ola::io::ConnectedDescriptor *descriptor)
bool | Setup ()
bool | Stop ()
void | SetCloseHandler (ola::SingleUseCallback0< void > *callback)
bool | FetchPluginList (SingleUseCallback2< void, const std::vector< OlaPlugin > &, const std::string & > *callback)
bool | FetchPluginDescription (ola_plugin_id plugin_id, SingleUseCallback2< void, const std::string &, const std::string & > *callback)
bool | FetchPluginState (ola_plugin_id plugin_id, PluginStateCallback *callback)
bool | FetchDeviceInfo (ola_plugin_id filter, SingleUseCallback2< void, const std::vector< OlaDevice > &, const std::string & > *callback)
bool | FetchCandidatePorts (unsigned int universe_id, SingleUseCallback2< void, const std::vector< OlaDevice > &, const std::string & > *callback)
bool | FetchCandidatePorts (SingleUseCallback2< void, const std::vector< OlaDevice > &, const std::string & > *callback)
bool | ConfigureDevice (unsigned int device_alias, const std::string &msg, SingleUseCallback2< void, const std::string &, const std::string & > *callback)
bool | SetPortPriorityInherit (unsigned int device_alias, unsigned int port, PortDirection port_direction, SingleUseCallback1< void, const std::string & > *callback)
bool | SetPortPriorityOverride (unsigned int device_alias, unsigned int port, PortDirection port_direction, uint8_t value, SingleUseCallback1< void, const std::string & > *callback)
bool | FetchUniverseList (SingleUseCallback2< void, const std::vector< OlaUniverse > &, const std::string & > *callback)
bool | FetchUniverseInfo (unsigned int universe, SingleUseCallback2< void, OlaUniverse &, const std::string & > *callback)
bool | SetUniverseName (unsigned int uni, const std::string &name, SingleUseCallback1< void, const std::string & > *callback)
bool | SetUniverseMergeMode (unsigned int uni, OlaUniverse::merge_mode mode, SingleUseCallback1< void, const std::string & > *callback)
bool | Patch (unsigned int device_alias, unsigned int port, ola::PortDirection port_direction, ola::PatchAction action, unsigned int uni, SingleUseCallback1< void, const std::string & > *callback)
void | SetDmxCallback (Callback3< void, unsigned int, const DmxBuffer &, const std::string & > *callback)
void | SetDmxCallback (Callback4< void, unsigned int, uint8_t, const DmxBuffer &, const std::string & > *callback)
bool | RegisterUniverse (unsigned int universe, ola::RegisterAction register_action, SingleUseCallback1< void, const std::string & > *callback)
bool | SendDmx (unsigned int universe, const DmxBuffer &data, SingleUseCallback1< void, const std::string & > *callback)
bool | SendDmx (unsigned int universe, const DmxBuffer &data, Callback1< void, const std::string & > *callback)
bool | SendDmx (unsigned int universe, const DmxBuffer &data)
bool | FetchDmx (unsigned int universe, SingleUseCallback2< void, const DmxBuffer &, const std::string & > *callback)
bool | FetchUIDList (unsigned int universe, SingleUseCallback2< void, const ola::rdm::UIDSet &, const std::string & > *callback)
bool | RunDiscovery (unsigned int universe, bool full, ola::SingleUseCallback2< void, const ola::rdm::UIDSet &, const std::string & > *callback)
bool | SetSourceUID (const ola::rdm::UID &uid, ola::SingleUseCallback1< void, const std::string & > *callback)
bool | RDMGet (ola::rdm::RDMAPIImplInterface::rdm_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data, unsigned int data_length)
bool | RDMGet (ola::rdm::RDMAPIImplInterface::rdm_pid_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data, unsigned int data_length)
bool | RDMSet (ola::rdm::RDMAPIImplInterface::rdm_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data, unsigned int data_length)
bool | RDMSet (ola::rdm::RDMAPIImplInterface::rdm_pid_callback *callback, unsigned int universe, const ola::rdm::UID &uid, uint16_t sub_device, uint16_t pid, const uint8_t *data, unsigned int data_length)
bool | SendTimeCode (ola::SingleUseCallback1< void, const std::string & > *callback, const ola::timecode::TimeCode &timecode)

## Member Function Documentation

## ◆ RDMGet() [1/2]

bool ola::OlaCallbackClient::RDMGet | ( | ola::rdm::RDMAPIImplInterface::rdm_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data,
|  | unsigned int | data_length )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

## ◆ RDMGet() [2/2]

bool ola::OlaCallbackClient::RDMGet | ( | ola::rdm::RDMAPIImplInterface::rdm_pid_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data,
|  | unsigned int | data_length )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

## ◆ RDMSet()

bool ola::OlaCallbackClient::RDMSet | ( | ola::rdm::RDMAPIImplInterface::rdm_callback * | callback,
|  | unsigned int | universe,
|  | const ola::rdm::UID & | uid,
|  | uint16_t | sub_device,
|  | uint16_t | pid,
|  | const uint8_t * | data,
|  | unsigned int | data_length )
| virtual

Implements ola::rdm::RDMAPIImplInterface.

The documentation for this class was generated from the following files:

- ola/OlaCallbackClient.h
- ola/OlaCallbackClient.cpp